From 60678de3e85f04ea5c1cfe48bdc9c35db6b282b8 Mon Sep 17 00:00:00 2001
Message-Id: <60678de3e85f04ea5c1cfe48bdc9c35db6b282b8.1736193146.git.spencer.king@geneoscopy.com>
From: Spencer King <spencer.king@geneoscopy.com>
Date: Mon, 6 Jan 2025 19:52:07 +0000
Subject: [PATCH] gnu: Add julia-cpusummary.

* gnu/packages/julia-xyz.scm (julia-cpusummary): New variable.

Change-Id: Icd4a37d36786d59f5b6ec0e7ee9c8d7d901cacc3
---
 gnu/packages/julia-xyz.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/julia-xyz.scm b/gnu/packages/julia-xyz.scm
index 6cae46dc2b..a7a6081e2f 100644
--- a/gnu/packages/julia-xyz.scm
+++ b/gnu/packages/julia-xyz.scm
@@ -1488,6 +1488,28 @@ (define-public julia-cpuid
 CPU features with low run-time cost.")
     (license license:expat)))
 
+(define-public julia-cpusummary
+  (package
+    (name "julia-cpusummary")
+    (version "0.2.6")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/JuliaSIMD/CPUSummary.jl")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "06kmmnhhcdgm538ax6lblklrih91p2ligg328kljq144j8s6cixm"))))
+    (build-system julia-build-system)
+    (propagated-inputs (list julia-cpuid julia-ifelse julia-precompiletools
+                             julia-static))
+    (home-page "https://github.com/JuliaSIMD/CPUSummary.jl")
+    (synopsis "Provides a summary of CPU features")
+    (description
+     "This package provides a summary of available CPU features in Julia.")
+    (license license:expat)))
+
 (define-public julia-crayons
   (package
     (name "julia-crayons")

base-commit: 84a68cffe6abf1056df2607e79ef587b63820a6e
-- 
2.34.1

